Page 1 of 2 12 LastLast
Results 1 to 10 of 18

Thread: Zypper repositories conflict

  1. #1
    Join Date
    Nov 2017
    Location
    Somewhere around the middle of Europe.
    Posts
    119

    Default Zypper repositories conflict

    Hello, every time I run
    Code:
    zypper up
    it shows this message:
    Code:
    The following 134 package updates will NOT be installed:
      PackageKit PackageKit-backend-zypp PackageKit-branding-openSUSE acpica amarok cpupower crda cups cups-client cups-filters fprintd
      fprintd-lang gegl-0_2 gstreamer-plugins-bad gstreamer-plugins-bad-lang iw kdelibs4 kdelibs4-core kdepimlibs4 ktexteditor libSDL-1_2-0
      libSDL_gfx15 libavcodec57 libavdevice57 libavfilter6 libavformat57 libavresample3 libavutil55 libcpupower0 libdcerpc-binding0
      libdcerpc-binding0-32bit libdcerpc0 libdcerpc0-32bit libfprint0 libgio-2_0-0 libgstadaptivedemux-1_0-0 libgstbadaudio-1_0-0
      libgstbadbase-1_0-0 libgstbadvideo-1_0-0 libgstbasecamerabinsrc-1_0-0 libgstcodecparsers-1_0-0 libgstgl-1_0-0 libgstmpegts-1_0-0
      libgstphotography-1_0-0 libgsturidownloader-1_0-0 libgstwayland-1_0-0 libimobiledevice6 libiw30 libkde4 libkdecore4 libldap-2_4-2
      libldap-2_4-2-32bit libmjpegutils-2_0-0 libndr-krb5pac0 libndr-krb5pac0-32bit libndr-nbt0 libndr-nbt0-32bit libndr-standard0
      libndr-standard0-32bit libndr0 libndr0-32bit libnetapi0 libnetapi0-32bit libopenjp2-7 libopusfile0 libpackagekit-glib2-18 libplist3
      libpostproc54 libquicktime0 libreoffice libreoffice-base libreoffice-base-drivers-mysql libreoffice-calc libreoffice-draw
      libreoffice-filters-optional libreoffice-icon-theme-sifr libreoffice-impress libreoffice-l10n-cs libreoffice-l10n-en libreoffice-mailmerge
      libreoffice-math libreoffice-pyuno libreoffice-writer libsamba-credentials0 libsamba-credentials0-32bit libsamba-hostconfig0
      libsamba-hostconfig0-32bit libsamba-passdb0 libsamba-passdb0-32bit libsamba-util0 libsamba-util0-32bit libsamdb0 libsamdb0-32bit
      libsmbclient0 libsmbconf0 libsmbconf0-32bit libsolv-tools libsox3 libswresample2 libswscale4 libusb-1_0-0 libusbmuxd4 libwacom-data
      libwacom2 libwbclient0 libwbclient0-32bit libzypp mariadb mariadb-client mariadb-errormessages mjpegtools openldap2-client openssl
      openssl-1_0_0 patterns-games-games rfkill rpm samba samba-client samba-client-32bit samba-libs samba-libs-32bit smartmontools sox tlp
      tlp-rdw usb_modeswitch usb_modeswitch-data wireless-regdb wireless-tools wpa_supplicant xinit yast2-pkg-bindings zypper
    From searching on the internet I found out it is probably a problem with some repos conflicting. But I don't know which.
    Code:
    zypper lr -d
    gives this
    Code:
     
    Repository priorities are without effect. All enabled repositories share the same priority.
    
    #  | Alias                               | Name                        | Enabled | GPG Check | Refresh | Priority | Type   | URI              
                                                                     | Service
    ---+-------------------------------------+-----------------------------+---------+-----------+---------+----------+--------+------------------
    -----------------------------------------------------------------+--------
     1 | adobe                               | adobe                       | Yes     | ( p) Yes  | Yes     |   99     | rpm-md | http://linuxdownl
    oad.adobe.com/linux/x86_64/                                      |         
     2 | games                               | games                       | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://download.o
    pensuse.org/repositories/games/openSUSE_Tumbleweed/              |         
     3 | http-download.opensuse.org-365c7bde | hardware                    | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.o
    pensuse.org/repositories/hardware/openSUSE_Tumbleweed/           |         
     4 | http-download.opensuse.org-58f933e7 | games                       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.o
    pensuse.org/repositories/games/openSUSE_Tumbleweed/              |         
     5 | http-download.opensuse.org-79431cad | home:auxsvr                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.o
    pensuse.org/repositories/home:/auxsvr/openSUSE_Factory/          |         
     6 | http-download.opensuse.org-850a9263 | openSUSE:Tumbleweed         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.o
    pensuse.org/repositories/openSUSE:/Tumbleweed/standard/          |         
     7 | http-download.opensuse.org-85e8094b | home:kistelini              | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.o
    pensuse.org/repositories/home:/kistelini/openSUSE_Tumbleweed/    |         
     8 | http-download.opensuse.org-a2fbdb36 | games:tools                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.o
    pensuse.org/repositories/games:/tools/openSUSE_Tumbleweed/       |         
     9 | openSUSE-20170626-0                 | openSUSE-20170626-0         | No      | ----      | ----    |   99     | yast2  | hd:///?device=/de
    v/disk/by-id/usb-Sony_Storage_Media_5C070B74A9A92B3980-0:0-part2 |         
    10 | packman                             | packman                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://ftp.gwdg.d
    e/pub/linux/misc/packman/suse/openSUSE_Tumbleweed/               |         
    11 | repo-debug                          | openSUSE-Tumbleweed-Debug   | No      | ----      | ----    |   99     | NONE   | http://download.o
    pensuse.org/debug/tumbleweed/repo/oss/                           |         
    12 | repo-non-oss                        | openSUSE-Tumbleweed-Non-Oss | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.o
    pensuse.org/tumbleweed/repo/non-oss/                             |         
    13 | repo-oss                            | openSUSE-Tumbleweed-Oss     | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.o
    pensuse.org/tumbleweed/repo/oss/                                 |         
    14 | repo-source                         | openSUSE-Tumbleweed-Source  | No      | ----      | ----    |   99     | NONE   | http://download.o
    pensuse.org/source/tumbleweed/repo/oss/                          |         
    15 | repo-update                         | openSUSE-Tumbleweed-Update  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.o
    pensuse.org/update/tumbleweed/                                   |         
    16 | skype-stable                        | skype (stable)              | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://repo.skyp
    e.com/rpm/stable/
    What should I do?

  2. #2
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    6,721

    Default AW: Zypper repositories conflict

    To Update on Tumbleweed, it is recommende to run
    Code:
    zypper dup
    instead of
    Code:
    zypper up

  3. #3
    Join Date
    Nov 2017
    Location
    Somewhere around the middle of Europe.
    Posts
    119

    Default Re: Zypper repositories conflict

    But that gives this: (the whole thing is too long, I deleted some parts)
    Code:
    The following 96 NEW packages are going to be installed:
      PackageKit-lang amarok-lang bea-stax-api cups-config gegl-0_2-lang gstreamer-plugins-ugly gstreamer-plugins-ugly-lang ibus
      ibus-branding-openSUSE-KDE ibus-gtk ibus-gtk-32bit ibus-gtk3 ibus-lang ibus-qt icedtea-web jline krb5-server ktexteditor-lang libJudy1
      liba52-0 libaudiofile1 libavcodec56 libavformat56 libavutil54 libcrypto42 libcups2 libcupscgi1 libcupsimage2 libcupsmime1 libcupsppdc1
      libev4 libfaac0 libfdk-aac1 libgit2-26 libhttp_parser2_7_1 libibus-1_0-5-32bit liblua5_3-5 libmariadb-devel libmpeg2-0 libmpeg2convert0
      libmysqld19 libopencore-amrnb0 libopencore-amrwb0 libpostproc53 libqpdf18 libreoffice-gnome libreoffice-gtk3 libressl-devel librest-0_7-0
      libsamba-policy0 libsmbldap2 libsmbldap2-32bit libssl44 libswresample1 libtheora0 libtls16 libtxc_dxtn libverto-libev1 libx264-148
      libx265-146 libxmlsec1-1 libxmlsec1-nss1 libxvidcore4 libyui-ncurses-pkg8 libyui-qt-graph8 libyui-qt-pkg8 libyui-qt8 normalize
      openSUSE-release-ftp openssl-1_1_0 perl-Bit-Vector perl-Carp-Clan perl-Date-Calc perl-Sub-Uplevel perl-Test-Exception python-ldb python-tdb
      python-tevent python2-cairo python2-gobject-Gdk python2-gobject-cairo python2-pyudev python3-pysmbc rhino samba-dsdb-modules samba-kdc
      samba-kdc-32bit samba-python samba-winbind samba-winbind-32bit tagsoup tdb-tools transcode typelib-1_0-IBus-1_0 unixODBC xmlbeans
    
    The following 5 applications are going to be REMOVED:
      "LibreOffice Base""LibreOffice Calc""LibreOffice Draw""LibreOffice Impress""LibreOffice Writer"
    
    The following 71 packages are going to be REMOVED:
      boost-license1_64_0 cups-filters-cups-browsed cups-filters-foomatic-rip cups-filters-ghostscript cups-libs java-1_8_0-openjdk-plugin
      ktp-accounts-kcm libGLEW1_13 libMagickCore-7_Q16HDRI2 libMagickWand-7_Q16HDRI0 libboost_date_time1_64_0 libboost_filesystem1_64_0
      libboost_iostreams1_64_0 libboost_system1_64_0 libboost_thread1_64_0 libexiv2-14 libgit2-25 libgps22 libhdf5-100 libhttp-parser-suse0
      libkolab1 libktpaccountskcminternal9 liblua5_3 liblz4-1_7 liblz4-1_7-32bit libmysqlclient18 libmysqlclient_r18 libmysqld18 libnfs8
      libpoppler67 libqalculate6 libqpdf17 libreoffice-kde4 librest0 libruby2_2-2_2 libsilc-1_1-4 libsilcclient-1_1-4 libsmbldap0
      libsmbldap0-32bit libva-drm1 libva-egl1 libva-glx1 libva-x11-1 libva1 libyui-ncurses-pkg7 libyui-ncurses7 libyui-qt-graph7 libyui-qt-pkg7
      libyui-qt7 libyui7 openssl-1_0_0 patterns-kde-sw_management_kde providers python-cairo python-pyudev python3-smbc ruby2.2
      ruby2.2-rubygem-abstract_method ruby2.2-rubygem-cfa ruby2.2-rubygem-cfa_grub2 ruby2.2-rubygem-cheetah ruby2.2-rubygem-fast_gettext
      ruby2.2-rubygem-gem2rpm ruby2.2-rubygem-ruby-augeas ruby2.2-rubygem-ruby-dbus ruby2.2-stdlib s2tc s2tc-32bit sash silc-toolkit
      vaapi-dummy-driver
    
    The following pattern is going to be REMOVED:
      sw_management_kde
    
    The following 133 packages are going to be upgraded:
       (removed some text here)
    The following pattern is going to be upgraded:
      games
    
    The following 2 packages are going to be downgraded:
      gio-branding-openSUSE xli
    
    The following package is going to change architecture:
      mariadb-errormessages  x86_64 -> noarch
    
    
    The following 57 packages are going to change vendor:
      acpica                        openSUSE -> obs://build.opensuse.org/hardware       
      cpupower                      openSUSE -> obs://build.opensuse.org/hardware       
      crda                          openSUSE -> obs://build.opensuse.org/hardware       
      fprintd                       openSUSE -> obs://build.opensuse.org/hardware       
      fprintd-lang                  openSUSE -> obs://build.opensuse.org/hardware       
      gstreamer-plugins-bad         openSUSE -> http://packman.links2linux.de           
      gstreamer-plugins-bad-lang    openSUSE -> http://packman.links2linux.de           
      iw                            openSUSE -> obs://build.opensuse.org/hardware       
      libSDL-1_2-0                  openSUSE -> obs://build.opensuse.org/games          
      libSDL_gfx15                  openSUSE -> obs://build.opensuse.org/games          
      libavcodec57                  openSUSE -> http://packman.links2linux.de           
      libavdevice57                 openSUSE -> http://packman.links2linux.de           
      libavfilter6                  openSUSE -> http://packman.links2linux.de           
      libavformat57                 openSUSE -> http://packman.links2linux.de           
      libavresample3                openSUSE -> http://packman.links2linux.de           
      libavutil55                   openSUSE -> http://packman.links2linux.de           
      libcpupower0                  openSUSE -> obs://build.opensuse.org/hardware       
      libfprint0                    openSUSE -> obs://build.opensuse.org/hardware       
      libgstadaptivedemux-1_0-0     openSUSE -> http://packman.links2linux.de           
      libgstbadaudio-1_0-0          openSUSE -> http://packman.links2linux.de           
      libgstbadbase-1_0-0           openSUSE -> http://packman.links2linux.de           
      libgstbadvideo-1_0-0          openSUSE -> http://packman.links2linux.de           
      libgstbasecamerabinsrc-1_0-0  openSUSE -> http://packman.links2linux.de           
      libgstcodecparsers-1_0-0      openSUSE -> http://packman.links2linux.de           
      libgstgl-1_0-0                openSUSE -> http://packman.links2linux.de           
      libgstmpegts-1_0-0            openSUSE -> http://packman.links2linux.de           
      libgstphotography-1_0-0       openSUSE -> http://packman.links2linux.de           
      libgsturidownloader-1_0-0     openSUSE -> http://packman.links2linux.de           
      libgstwayland-1_0-0           openSUSE -> http://packman.links2linux.de           
      libimobiledevice6             openSUSE -> obs://build.opensuse.org/hardware       
      libiw30                       openSUSE -> obs://build.opensuse.org/hardware       
      libmjpegutils-2_0-0           openSUSE -> http://packman.links2linux.de           
      libopenjp2-7                  openSUSE -> obs://build.opensuse.org/home:auxsvr    
      libopusfile0                  openSUSE -> obs://build.opensuse.org/games          
      libplist3                     openSUSE -> obs://build.opensuse.org/hardware       
      libpostproc54                 openSUSE -> http://packman.links2linux.de           
      libquicktime0                 openSUSE -> http://packman.links2linux.de           
      libsox3                       openSUSE -> http://packman.links2linux.de           
      libswresample2                openSUSE -> http://packman.links2linux.de           
      libswscale4                   openSUSE -> http://packman.links2linux.de           
      libusb-1_0-0                  openSUSE -> obs://build.opensuse.org/hardware       
      libusbmuxd4                   openSUSE -> obs://build.opensuse.org/hardware       
      libwacom-data                 openSUSE -> obs://build.opensuse.org/hardware       
      libwacom2                     openSUSE -> obs://build.opensuse.org/hardware       
      mjpegtools                    openSUSE -> http://packman.links2linux.de           
      patterns-games-games          openSUSE -> obs://build.opensuse.org/games          
      rfkill                        openSUSE -> obs://build.opensuse.org/hardware       
      smartmontools                 openSUSE -> obs://build.opensuse.org/hardware       
      sox                           openSUSE -> http://packman.links2linux.de           
      tlp                           openSUSE -> obs://build.opensuse.org/hardware       
      tlp-rdw                       openSUSE -> obs://build.opensuse.org/hardware       
      usb_modeswitch                openSUSE -> obs://build.opensuse.org/hardware       
      usb_modeswitch-data           openSUSE -> obs://build.opensuse.org/hardware       
      wireless-regdb                openSUSE -> obs://build.opensuse.org/hardware       
      wireless-tools                openSUSE -> obs://build.opensuse.org/hardware       
      wpa_supplicant                openSUSE -> obs://build.opensuse.org/hardware       
      xinit                         openSUSE -> obs://build.opensuse.org/home:kistelini
    
    
    The following pattern is going to change vendor:
      games  openSUSE -> obs://build.opensuse.org/games
    
    
    133 packages to upgrade, 2 to downgrade, 96 new, 71 to remove, 57  to change vendor, 1 to change arch.
    Overall download size: 226,5 MiB. Already cached: 0 B. After the operation, additional 62,4 MiB will be used.
    Which kinda scares me, remove LibreOffice? Why? I think my repos are messed up.

  4. #4
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    6,721

    Default AW: Zypper repositories conflict

    Its Application LibreOffice, not Package libreoffice......

    PS
    I do not know, why you enabled so many Repos.........
    I would delete some of them.

  5. #5
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,925
    Blog Entries
    14

    Default Re: Zypper repositories conflict

    Quote Originally Posted by Greenscreener View Post
    Which kinda scares me, remove LibreOffice? Why? I think my repos are messed up.
    I'm sure they are. You have Factory home: repos enabled. That's where the packages break because they're supposed to break there. Until they're fixed completely and could be pushed to TW.

    I'll write up a follow up ...
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  6. #6
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,925
    Blog Entries
    14

    Default Re: Zypper repositories conflict

    Quote Originally Posted by Greenscreener View Post
    Hello, every time I run
    Code:
    zypper up
    Code:
    zypper lr -d
    gives this
    Code:
     
    Repository priorities are without effect. All enabled repositories share the same priority.
    
    #  | Alias                               | Name                        | Enabled | GPG Check | Refresh | Priority | Type   | URI              
                                                                     | Service
    ---+-------------------------------------+-----------------------------+---------+-----------+---------+----------+--------+------------------
    -----------------------------------------------------------------+--------
     1 | adobe                               | adobe                       | Yes     | ( p) Yes  | Yes     |   99     | rpm-md | http://linuxdownl
    oad.adobe.com/linux/x86_64/                                      |         
     2 | games                               | games                       | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://download.o
    pensuse.org/repositories/games/openSUSE_Tumbleweed/              |         
     3 | http-download.opensuse.org-365c7bde | hardware                    | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.o
    pensuse.org/repositories/hardware/openSUSE_Tumbleweed/           |         
     4 | http-download.opensuse.org-58f933e7 | games                       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.o
    pensuse.org/repositories/games/openSUSE_Tumbleweed/              |         
     5 | http-download.opensuse.org-79431cad | home:auxsvr                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.o
    pensuse.org/repositories/home:/auxsvr/openSUSE_Factory/          |         
     6 | http-download.opensuse.org-850a9263 | openSUSE:Tumbleweed         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.o
    pensuse.org/repositories/openSUSE:/Tumbleweed/standard/          |         
     7 | http-download.opensuse.org-85e8094b | home:kistelini              | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.o
    pensuse.org/repositories/home:/kistelini/openSUSE_Tumbleweed/    |         
     8 | http-download.opensuse.org-a2fbdb36 | games:tools                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.o
    pensuse.org/repositories/games:/tools/openSUSE_Tumbleweed/       |         
     9 | openSUSE-20170626-0                 | openSUSE-20170626-0         | No      | ----      | ----    |   99     | yast2  | hd:///?device=/de
    v/disk/by-id/usb-Sony_Storage_Media_5C070B74A9A92B3980-0:0-part2 |         
    10 | packman                             | packman                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://ftp.gwdg.d
    e/pub/linux/misc/packman/suse/openSUSE_Tumbleweed/               |         
    11 | repo-debug                          | openSUSE-Tumbleweed-Debug   | No      | ----      | ----    |   99     | NONE   | http://download.o
    pensuse.org/debug/tumbleweed/repo/oss/                           |         
    12 | repo-non-oss                        | openSUSE-Tumbleweed-Non-Oss | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.o
    pensuse.org/tumbleweed/repo/non-oss/                             |         
    13 | repo-oss                            | openSUSE-Tumbleweed-Oss     | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.o
    pensuse.org/tumbleweed/repo/oss/                                 |         
    14 | repo-source                         | openSUSE-Tumbleweed-Source  | No      | ----      | ----    |   99     | NONE   | http://download.o
    pensuse.org/source/tumbleweed/repo/oss/                          |         
    15 | repo-update                         | openSUSE-Tumbleweed-Update  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.o
    pensuse.org/update/tumbleweed/                                   |         
    16 | skype-stable                        | skype (stable)              | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://repo.skyp
    e.com/rpm/stable/ 
    
    What should I do?
    Disable all the repos in bold font, and run 'zypper dup' . Post results here, or, if the size is too big, post a link to paste.opensuse.org .
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  7. #7
    Join Date
    Nov 2017
    Location
    Somewhere around the middle of Europe.
    Posts
    119

    Default Re: Zypper repositories conflict

    Code:
    Warning: You are about to do a distribution upgrade with all enabled repositories. Make sure these repositories are compatible before you cont
    inue. See 'man zypper' for more information about this command.
    Loading repository data...
    Reading installed packages...
    Computing distribution upgrade...
    
    The following 89 NEW packages are going to be installed:
      PackageKit-lang amarok-lang bea-stax-api gegl-0_2-lang gstreamer-plugins-ugly gstreamer-plugins-ugly-lang ibus ibus-branding-openSUSE-KDE
      ibus-gtk ibus-gtk-32bit ibus-gtk3 ibus-lang ibus-qt icedtea-web jline krb5-server ktexteditor-lang libJudy1 liba52-0 libaudiofile1
      libavcodec56 libavformat56 libavutil54 libev4 libfaac0 libfdk-aac1 libgit2-26 libhttp_parser2_7_1 libibus-1_0-5-32bit liblua5_3-5
      libmariadb-devel libmpeg2-0 libmpeg2convert0 libmysqld19 libopencore-amrnb0 libopencore-amrwb0 libpostproc53 libqpdf18 libreoffice-gnome
      libreoffice-gtk3 libressl-devel librest-0_7-0 libsamba-policy0 libsmbldap2 libsmbldap2-32bit libssl44 libswresample1 libtheora0 libtls16
      libtxc_dxtn libverto-libev1 libx264-148 libx265-146 libxmlsec1-1 libxmlsec1-nss1 libxvidcore4 libyui-ncurses-pkg8 libyui-qt-graph8
      libyui-qt-pkg8 libyui-qt8 normalize openSUSE-release-ftp openssl-1_1_0 perl-Bit-Vector perl-Carp-Clan perl-Date-Calc perl-Sub-Uplevel
      perl-Test-Exception python-ldb python-tdb python-tevent python2-cairo python2-gobject-Gdk python2-gobject-cairo python2-pyudev
      python3-pysmbc rhino samba-dsdb-modules samba-kdc samba-kdc-32bit samba-python samba-winbind samba-winbind-32bit tagsoup tdb-tools transcode
      typelib-1_0-IBus-1_0 unixODBC xmlbeans
    
    The following 70 packages are going to be REMOVED:
      boost-license1_64_0 cups-filters-cups-browsed cups-filters-foomatic-rip cups-filters-ghostscript java-1_8_0-openjdk-plugin ktp-accounts-kcm
      libGLEW1_13 libMagickCore-7_Q16HDRI2 libMagickWand-7_Q16HDRI0 libboost_date_time1_64_0 libboost_filesystem1_64_0 libboost_iostreams1_64_0
      libboost_system1_64_0 libboost_thread1_64_0 libexiv2-14 libgit2-25 libgps22 libhdf5-100 libhttp-parser-suse0 libkolab1
      libktpaccountskcminternal9 liblua5_3 liblz4-1_7 liblz4-1_7-32bit libmysqlclient18 libmysqlclient_r18 libmysqld18 libnfs8 libpoppler67
      libqalculate6 libqpdf17 libreoffice-kde4 librest0 libruby2_2-2_2 libsilc-1_1-4 libsilcclient-1_1-4 libsmbldap0 libsmbldap0-32bit libva-drm1
      libva-egl1 libva-glx1 libva-x11-1 libva1 libyui-ncurses-pkg7 libyui-ncurses7 libyui-qt-graph7 libyui-qt-pkg7 libyui-qt7 libyui7
      openssl-1_0_0 patterns-kde-sw_management_kde providers python-cairo python-pyudev python3-smbc ruby2.2 ruby2.2-rubygem-abstract_method
      ruby2.2-rubygem-cfa ruby2.2-rubygem-cfa_grub2 ruby2.2-rubygem-cheetah ruby2.2-rubygem-fast_gettext ruby2.2-rubygem-gem2rpm
      ruby2.2-rubygem-ruby-augeas ruby2.2-rubygem-ruby-dbus ruby2.2-stdlib s2tc s2tc-32bit sash silc-toolkit vaapi-dummy-driver
    
    The following pattern is going to be REMOVED:
      sw_management_kde
    
    The following 101 packages are going to be upgraded:
      PackageKit PackageKit-backend-zypp PackageKit-branding-openSUSE amarok cups-filters gegl-0_2 gstreamer-plugins-bad
      gstreamer-plugins-bad-lang kdelibs4 kdelibs4-core kdepimlibs4 ktexteditor libavcodec57 libavdevice57 libavfilter6 libavformat57
      libavresample3 libavutil55 libdcerpc-binding0 libdcerpc-binding0-32bit libdcerpc0 libdcerpc0-32bit libgio-2_0-0 libgstadaptivedemux-1_0-0
      libgstbadaudio-1_0-0 libgstbadbase-1_0-0 libgstbadvideo-1_0-0 libgstbasecamerabinsrc-1_0-0 libgstcodecparsers-1_0-0 libgstgl-1_0-0
      libgstmpegts-1_0-0 libgstphotography-1_0-0 libgsturidownloader-1_0-0 libgstwayland-1_0-0 libkde4 libkdecore4 libldap-2_4-2
      libldap-2_4-2-32bit libmjpegutils-2_0-0 libndr-krb5pac0 libndr-krb5pac0-32bit libndr-nbt0 libndr-nbt0-32bit libndr-standard0
      libndr-standard0-32bit libndr0 libndr0-32bit libnetapi0 libnetapi0-32bit libpackagekit-glib2-18 libpostproc54 libquicktime0 libreoffice
      libreoffice-base libreoffice-base-drivers-mysql libreoffice-calc libreoffice-draw libreoffice-filters-optional libreoffice-icon-theme-sifr
      libreoffice-impress libreoffice-l10n-cs libreoffice-l10n-en libreoffice-mailmerge libreoffice-math libreoffice-pyuno libreoffice-writer
      libsamba-credentials0 libsamba-credentials0-32bit libsamba-hostconfig0 libsamba-hostconfig0-32bit libsamba-passdb0 libsamba-passdb0-32bit
      libsamba-util0 libsamba-util0-32bit libsamdb0 libsamdb0-32bit libsmbclient0 libsmbconf0 libsmbconf0-32bit libsolv-tools libsox3
      libswresample2 libswscale4 libwbclient0 libwbclient0-32bit libzypp mariadb mariadb-client mariadb-errormessages mjpegtools openldap2-client
      openssl rpm samba samba-client samba-client-32bit samba-libs samba-libs-32bit sox yast2-pkg-bindings zypper
    
    The following 14 packages are going to be downgraded:
      gio-branding-openSUSE libSDL-1_2-0-32bit libSDL2-2_0-0 libSDL_image-1_2-0 libSDL_mixer-1_2-0 libSDL_net-1_2-0 libSDL_ttf-2_0-0 libusb-0_1-4
      libusb-1_0-devel libusb-compat-devel steamtricks steamtricks-data usbmuxd xli
    
    The following package is going to change architecture:
      mariadb-errormessages  x86_64 -> noarch
    
    
    The following 39 packages are going to change vendor:
      gstreamer-plugins-bad         openSUSE -> http://packman.links2linux.de        
      gstreamer-plugins-bad-lang    openSUSE -> http://packman.links2linux.de        
      libSDL-1_2-0-32bit            obs://build.opensuse.org/games -> openSUSE       
      libSDL2-2_0-0                 obs://build.opensuse.org/games -> openSUSE       
      libSDL_image-1_2-0            obs://build.opensuse.org/games -> openSUSE       
      libSDL_mixer-1_2-0            obs://build.opensuse.org/games -> openSUSE       
      libSDL_net-1_2-0              obs://build.opensuse.org/games -> openSUSE       
      libSDL_ttf-2_0-0              obs://build.opensuse.org/games -> openSUSE       
      libavcodec57                  openSUSE -> http://packman.links2linux.de        
      libavdevice57                 openSUSE -> http://packman.links2linux.de        
      libavfilter6                  openSUSE -> http://packman.links2linux.de        
      libavformat57                 openSUSE -> http://packman.links2linux.de        
      libavresample3                openSUSE -> http://packman.links2linux.de        
      libavutil55                   openSUSE -> http://packman.links2linux.de        
      libgstadaptivedemux-1_0-0     openSUSE -> http://packman.links2linux.de        
      libgstbadaudio-1_0-0          openSUSE -> http://packman.links2linux.de        
      libgstbadbase-1_0-0           openSUSE -> http://packman.links2linux.de        
      libgstbadvideo-1_0-0          openSUSE -> http://packman.links2linux.de        
      libgstbasecamerabinsrc-1_0-0  openSUSE -> http://packman.links2linux.de        
      libgstcodecparsers-1_0-0      openSUSE -> http://packman.links2linux.de        
      libgstgl-1_0-0                openSUSE -> http://packman.links2linux.de        
      libgstmpegts-1_0-0            openSUSE -> http://packman.links2linux.de        
      libgstphotography-1_0-0       openSUSE -> http://packman.links2linux.de        
      libgsturidownloader-1_0-0     openSUSE -> http://packman.links2linux.de        
      libgstwayland-1_0-0           openSUSE -> http://packman.links2linux.de        
      libmjpegutils-2_0-0           openSUSE -> http://packman.links2linux.de        
      libpostproc54                 openSUSE -> http://packman.links2linux.de        
      libquicktime0                 openSUSE -> http://packman.links2linux.de        
      libsox3                       openSUSE -> http://packman.links2linux.de        
      libswresample2                openSUSE -> http://packman.links2linux.de        
      libswscale4                   openSUSE -> http://packman.links2linux.de        
      libusb-0_1-4                  obs://build.opensuse.org/hardware -> openSUSE    
      libusb-1_0-devel              obs://build.opensuse.org/hardware -> openSUSE    
      libusb-compat-devel           obs://build.opensuse.org/hardware -> openSUSE    
      mjpegtools                    openSUSE -> http://packman.links2linux.de        
      sox                           openSUSE -> http://packman.links2linux.de        
      steamtricks                   obs://build.opensuse.org/games:tools -> openSUSE
      steamtricks-data              obs://build.opensuse.org/games:tools -> openSUSE
      usbmuxd                       obs://build.opensuse.org/hardware -> openSUSE    
    
    
    101 packages to upgrade, 14 to downgrade, 89 new, 70 to remove, 39  to change vendor, 1 to change arch.
    Overall download size: 215,0 MiB. Already cached: 0 B. After the operation, additional 57,6 MiB will be used.

  8. #8
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,925
    Blog Entries
    14

    Default Re: Zypper repositories conflict

    Quote Originally Posted by Greenscreener View Post
    Code:
    Warning: You are about to do a distribution upgrade with all enabled repositories. Make sure these repositories are compatible before you cont
    inue. See 'man zypper' for more information about this command.
    Loading repository data...
    Reading installed packages...
    Computing distribution upgrade...
    
    The following 89 NEW packages are going to be installed:
      PackageKit-lang amarok-lang bea-stax-api gegl-0_2-lang gstreamer-plugins-ugly gstreamer-plugins-ugly-lang ibus ibus-branding-openSUSE-KDE
      ibus-gtk ibus-gtk-32bit ibus-gtk3 ibus-lang ibus-qt icedtea-web jline krb5-server ktexteditor-lang libJudy1 liba52-0 libaudiofile1
      libavcodec56 libavformat56 libavutil54 libev4 libfaac0 libfdk-aac1 libgit2-26 libhttp_parser2_7_1 libibus-1_0-5-32bit liblua5_3-5
      libmariadb-devel libmpeg2-0 libmpeg2convert0 libmysqld19 libopencore-amrnb0 libopencore-amrwb0 libpostproc53 libqpdf18 libreoffice-gnome
      libreoffice-gtk3 libressl-devel librest-0_7-0 libsamba-policy0 libsmbldap2 libsmbldap2-32bit libssl44 libswresample1 libtheora0 libtls16
      libtxc_dxtn libverto-libev1 libx264-148 libx265-146 libxmlsec1-1 libxmlsec1-nss1 libxvidcore4 libyui-ncurses-pkg8 libyui-qt-graph8
      libyui-qt-pkg8 libyui-qt8 normalize openSUSE-release-ftp openssl-1_1_0 perl-Bit-Vector perl-Carp-Clan perl-Date-Calc perl-Sub-Uplevel
      perl-Test-Exception python-ldb python-tdb python-tevent python2-cairo python2-gobject-Gdk python2-gobject-cairo python2-pyudev
      python3-pysmbc rhino samba-dsdb-modules samba-kdc samba-kdc-32bit samba-python samba-winbind samba-winbind-32bit tagsoup tdb-tools transcode
      typelib-1_0-IBus-1_0 unixODBC xmlbeans
    
    The following 70 packages are going to be REMOVED:
      boost-license1_64_0 cups-filters-cups-browsed cups-filters-foomatic-rip cups-filters-ghostscript java-1_8_0-openjdk-plugin ktp-accounts-kcm
      libGLEW1_13 libMagickCore-7_Q16HDRI2 libMagickWand-7_Q16HDRI0 libboost_date_time1_64_0 libboost_filesystem1_64_0 libboost_iostreams1_64_0
      libboost_system1_64_0 libboost_thread1_64_0 libexiv2-14 libgit2-25 libgps22 libhdf5-100 libhttp-parser-suse0 libkolab1
      libktpaccountskcminternal9 liblua5_3 liblz4-1_7 liblz4-1_7-32bit libmysqlclient18 libmysqlclient_r18 libmysqld18 libnfs8 libpoppler67
      libqalculate6 libqpdf17 libreoffice-kde4 librest0 libruby2_2-2_2 libsilc-1_1-4 libsilcclient-1_1-4 libsmbldap0 libsmbldap0-32bit libva-drm1
      libva-egl1 libva-glx1 libva-x11-1 libva1 libyui-ncurses-pkg7 libyui-ncurses7 libyui-qt-graph7 libyui-qt-pkg7 libyui-qt7 libyui7
      openssl-1_0_0 patterns-kde-sw_management_kde providers python-cairo python-pyudev python3-smbc ruby2.2 ruby2.2-rubygem-abstract_method
      ruby2.2-rubygem-cfa ruby2.2-rubygem-cfa_grub2 ruby2.2-rubygem-cheetah ruby2.2-rubygem-fast_gettext ruby2.2-rubygem-gem2rpm
      ruby2.2-rubygem-ruby-augeas ruby2.2-rubygem-ruby-dbus ruby2.2-stdlib s2tc s2tc-32bit sash silc-toolkit vaapi-dummy-driver
    
    The following pattern is going to be REMOVED:
      sw_management_kde
    
    The following 101 packages are going to be upgraded:
      PackageKit PackageKit-backend-zypp PackageKit-branding-openSUSE amarok cups-filters gegl-0_2 gstreamer-plugins-bad
      gstreamer-plugins-bad-lang kdelibs4 kdelibs4-core kdepimlibs4 ktexteditor libavcodec57 libavdevice57 libavfilter6 libavformat57
      libavresample3 libavutil55 libdcerpc-binding0 libdcerpc-binding0-32bit libdcerpc0 libdcerpc0-32bit libgio-2_0-0 libgstadaptivedemux-1_0-0
      libgstbadaudio-1_0-0 libgstbadbase-1_0-0 libgstbadvideo-1_0-0 libgstbasecamerabinsrc-1_0-0 libgstcodecparsers-1_0-0 libgstgl-1_0-0
      libgstmpegts-1_0-0 libgstphotography-1_0-0 libgsturidownloader-1_0-0 libgstwayland-1_0-0 libkde4 libkdecore4 libldap-2_4-2
      libldap-2_4-2-32bit libmjpegutils-2_0-0 libndr-krb5pac0 libndr-krb5pac0-32bit libndr-nbt0 libndr-nbt0-32bit libndr-standard0
      libndr-standard0-32bit libndr0 libndr0-32bit libnetapi0 libnetapi0-32bit libpackagekit-glib2-18 libpostproc54 libquicktime0 libreoffice
      libreoffice-base libreoffice-base-drivers-mysql libreoffice-calc libreoffice-draw libreoffice-filters-optional libreoffice-icon-theme-sifr
      libreoffice-impress libreoffice-l10n-cs libreoffice-l10n-en libreoffice-mailmerge libreoffice-math libreoffice-pyuno libreoffice-writer
      libsamba-credentials0 libsamba-credentials0-32bit libsamba-hostconfig0 libsamba-hostconfig0-32bit libsamba-passdb0 libsamba-passdb0-32bit
      libsamba-util0 libsamba-util0-32bit libsamdb0 libsamdb0-32bit libsmbclient0 libsmbconf0 libsmbconf0-32bit libsolv-tools libsox3
      libswresample2 libswscale4 libwbclient0 libwbclient0-32bit libzypp mariadb mariadb-client mariadb-errormessages mjpegtools openldap2-client
      openssl rpm samba samba-client samba-client-32bit samba-libs samba-libs-32bit sox yast2-pkg-bindings zypper
    
    The following 14 packages are going to be downgraded:
      gio-branding-openSUSE libSDL-1_2-0-32bit libSDL2-2_0-0 libSDL_image-1_2-0 libSDL_mixer-1_2-0 libSDL_net-1_2-0 libSDL_ttf-2_0-0 libusb-0_1-4
      libusb-1_0-devel libusb-compat-devel steamtricks steamtricks-data usbmuxd xli
    
    The following package is going to change architecture:
      mariadb-errormessages  x86_64 -> noarch
    
    
    The following 39 packages are going to change vendor:
      gstreamer-plugins-bad         openSUSE -> http://packman.links2linux.de        
      gstreamer-plugins-bad-lang    openSUSE -> http://packman.links2linux.de        
      libSDL-1_2-0-32bit            obs://build.opensuse.org/games -> openSUSE       
      libSDL2-2_0-0                 obs://build.opensuse.org/games -> openSUSE       
      libSDL_image-1_2-0            obs://build.opensuse.org/games -> openSUSE       
      libSDL_mixer-1_2-0            obs://build.opensuse.org/games -> openSUSE       
      libSDL_net-1_2-0              obs://build.opensuse.org/games -> openSUSE       
      libSDL_ttf-2_0-0              obs://build.opensuse.org/games -> openSUSE       
      libavcodec57                  openSUSE -> http://packman.links2linux.de        
      libavdevice57                 openSUSE -> http://packman.links2linux.de        
      libavfilter6                  openSUSE -> http://packman.links2linux.de        
      libavformat57                 openSUSE -> http://packman.links2linux.de        
      libavresample3                openSUSE -> http://packman.links2linux.de        
      libavutil55                   openSUSE -> http://packman.links2linux.de        
      libgstadaptivedemux-1_0-0     openSUSE -> http://packman.links2linux.de        
      libgstbadaudio-1_0-0          openSUSE -> http://packman.links2linux.de        
      libgstbadbase-1_0-0           openSUSE -> http://packman.links2linux.de        
      libgstbadvideo-1_0-0          openSUSE -> http://packman.links2linux.de        
      libgstbasecamerabinsrc-1_0-0  openSUSE -> http://packman.links2linux.de        
      libgstcodecparsers-1_0-0      openSUSE -> http://packman.links2linux.de        
      libgstgl-1_0-0                openSUSE -> http://packman.links2linux.de        
      libgstmpegts-1_0-0            openSUSE -> http://packman.links2linux.de        
      libgstphotography-1_0-0       openSUSE -> http://packman.links2linux.de        
      libgsturidownloader-1_0-0     openSUSE -> http://packman.links2linux.de        
      libgstwayland-1_0-0           openSUSE -> http://packman.links2linux.de        
      libmjpegutils-2_0-0           openSUSE -> http://packman.links2linux.de        
      libpostproc54                 openSUSE -> http://packman.links2linux.de        
      libquicktime0                 openSUSE -> http://packman.links2linux.de        
      libsox3                       openSUSE -> http://packman.links2linux.de        
      libswresample2                openSUSE -> http://packman.links2linux.de        
      libswscale4                   openSUSE -> http://packman.links2linux.de        
      libusb-0_1-4                  obs://build.opensuse.org/hardware -> openSUSE    
      libusb-1_0-devel              obs://build.opensuse.org/hardware -> openSUSE    
      libusb-compat-devel           obs://build.opensuse.org/hardware -> openSUSE    
      mjpegtools                    openSUSE -> http://packman.links2linux.de        
      sox                           openSUSE -> http://packman.links2linux.de        
      steamtricks                   obs://build.opensuse.org/games:tools -> openSUSE
      steamtricks-data              obs://build.opensuse.org/games:tools -> openSUSE
      usbmuxd                       obs://build.opensuse.org/hardware -> openSUSE    
    
    
    101 packages to upgrade, 14 to downgrade, 89 new, 70 to remove, 39  to change vendor, 1 to change arch.
    Overall download size: 215,0 MiB. Already cached: 0 B. After the operation, additional 57,6 MiB will be used.
    That is quite a mess. I would remove all the exotic repos, accept these changes and investigate what doesn't work / isn't there.
    As you can see from the output there are packages that are available from the distro repos, yet you had them from other repos. If you want to use a package in TW that's not in the distro repos, simply contact the maintainer and ask her/him to add it to the distribution.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  9. #9
    Join Date
    Nov 2017
    Location
    Somewhere around the middle of Europe.
    Posts
    119

    Default Re: Zypper repositories conflict

    Well, I disabled the repos in bold, as you told me. And for instance skype nor flash are in the repos.

  10. #10
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,925
    Blog Entries
    14

    Default Re: Zypper repositories conflict

    Quote Originally Posted by Greenscreener View Post
    Well, I disabled the repos in bold, as you told me. And for instance skype nor flash are in the repos.
    That's right. After upgrading, you can re-enable these. FWIW: I would not use flash, it's one big security hole.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •